### Method

# Ide LspDiagnostic dup_raw

#### Declaration

    GVariant*
    ide_lsp_diagnostic_dup_raw (
      IdeLspDiagnostic* self
    )

#### Description

Increments the reference count of the underlying diagnostic variant and returns it.

Available since: | 42.0

#### Return value

Returns: | `GVariant`
| A `GVariant` with it’s reference count incremented.
| The caller of the method takes ownership of the data, and is responsible for freeing it.